
struct PathSettingsFile {

    let outputDirectoryPath: String

    let pagesOutputFolderPath: String

    let imagesOutputFolderPath: String

    let filesOutputFolderPath: String

    let videosOutputFolderPath: String

    let tagsOutputFolderPath: String

    init(outputDirectoryPath: String, pagesOutputFolderPath: String, imagesOutputFolderPath: String, filesOutputFolderPath: String, videosOutputFolderPath: String, tagsOutputFolderPath: String) {
        self.outputDirectoryPath = outputDirectoryPath
        self.pagesOutputFolderPath = pagesOutputFolderPath
        self.imagesOutputFolderPath = imagesOutputFolderPath
        self.filesOutputFolderPath = filesOutputFolderPath
        self.videosOutputFolderPath = videosOutputFolderPath
        self.tagsOutputFolderPath = tagsOutputFolderPath
    }
}

extension PathSettingsFile: Codable {

}

extension PathSettingsFile {

    static var `default`: PathSettingsFile {
        PathSettingsFile(
            outputDirectoryPath: "build",
            pagesOutputFolderPath: "page",
            imagesOutputFolderPath: "image",
            filesOutputFolderPath: "file",
            videosOutputFolderPath: "video",
            tagsOutputFolderPath: "tag")
    }

}
