
struct PageSettingsFile {

    let pageUrlPrefix: String

    let contentWidth: Int

    let largeImageWidth: Int

    let pageLinkImageSize: Int

    let javascriptFilesPath: String
}

extension PageSettingsFile: Codable {
    
}

extension PageSettingsFile {

    static var `default`: PageSettingsFile {
        .init(pageUrlPrefix: "page",
              contentWidth: 600,
              largeImageWidth: 1200,
              pageLinkImageSize: 180,
              javascriptFilesPath: "/assets/js")
    }
}
